fwb_ipfw(1)

NAME
fwb_ipfw - Policy compiler for ipfw

SYNOPSIS
fwb_ipfw [-vVx] [-d wdir] [-o output.fw] [-i] -f data_file.xml object_name

DESCRIPTION
fwb_ipfw is a firewall policy compiler component of Firewall Builder (see fwbuilder(1)). This compiler generates code for ipfw - a firewall and traffic shaper in FreeBSD (see ipfw(8)). Compiler reads objects definitions and firewall description from the data file specified with "-f" option and generates firewall configuration and activation script. The generated file has a name that starts with the name of the firewall object, with an extension ".fw". It is a shell script that flushes current policy, then loads new filter and nat rules. The data file and the name of the firewall objects must be specified on the command line. Other command line parameters are optional.

OPTIONS

-f FILE
    Specify the name of the data file to be processed.

-o output.fw
    Specify output file name

-d wdir
    Specify working directory. Compiler creates firewall activation script in this directory. If this parameter is missing, then all files will be placed in the current working directory.

-v  Be verbose: compiler prints diagnostic messages when it works.

-V  Print version number and quit.

-i  When this option is present, the last argument on the command line is supposed to be firewall object ID rather than its name

-x  Generate debugging information while working. This option is intended for debugging only and may produce lots of cryptic messages.

NOTES
Support for ipfw was added in version 1.0.10 of Firewall Builder

URL
Firewall Builder home page is located at the following URL: http://www.fwbuilder.org/

BUGS
Please report bugs using bug tracking system on SourceForge: http://sourceforge.net/tracker/?group_id=5314&atid=105314

SEE ALSO
fwbuilder(1), fwb_ipt(1), fwb_pf(1) fwb_ipf(1)